import ai_generators.ollama_md_generator as omg
import trilium.notes as tn

tril = tn.TrilumNotes()

tril.get_new_notes()
tril_notes = tril.get_notes_content()


def convert_to_lowercase_with_underscores(string):
    return string.lower().replace(" ", "_")


for note in tril_notes:
    print(tril_notes[note]['title'])
    # print(tril_notes[note]['content'])
    print("Generating Document")
    ai_gen = omg.OllamaGenerator(tril_notes[note]['title'],
                                 tril_notes[note]['content'],
                                 "qwen2.5:7b")
    os_friendly_title = convert_to_lowercase_with_underscores(tril_notes[note]['title'])
    ai_gen.save_to_file(f"/blog_creator/generated_files/{os_friendly_title}.md")
